$kind: http-request
url: "{{Local_URL}}accounts/transactions/cash-to-cash-account"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "//This endpoint should facilitate cash flow, money moving from e.g
    bank to cash, bank to bank, mm to cash e.t.c an account where money is
    coming from is credited and where its going its debted\r

    {\r

    \   \"transaction_date\": \"2024-10-04\",\r

    \    \"reference\": \"INC-20241004\",\r

    \    //\"project_id\": 1, Nullable\r

    \   // \"segment_id\": 2, Nullable\r

    \    //\"budget_id\": 3, Nullable\r

    \    \"journal_type_id\": 3, \r

    \    \"description\": \"Income supplies purchase\",\r

    \    \"currency_id\": \"597247e3-fb1a-4159-9974-edec323346d8\",\r

    \    \"lines\": [\r

    \        {\r

    \            \"debit_account_id\": 2, //Cash account debted Endpoint -
    /get-cash-accounts DEBT\r

    \            \"credit_account_id\": 1,//Cash account credit side Endpoint -
    /get-cash-accounts CREDIT\r

    \            \"amount\": 500.00\r

    \        }\r

    \        \r

    \    ]\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 5000
